CEL: Crystal Entity Layer: celPcCameraCommon Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celPcCameraCommon Struct Reference

The representation of a camera. More...

`#include <celtool/camera.h>`

Inheritance diagram for celPcCameraCommon:

[legend]
List of all members.

## Public Member Functions
float | GetAdaptiveMaxFPS () const
float | GetAdaptiveMinDistance () const
float | GetAdaptiveMinFPS () const
bool | GetClearScreen () const
bool | GetClearZBuffer () const
float | GetFixedDistance () const
virtual const char * | GetName () const
iView * | GetView () const
bool | LoadCommon (iCelDataBuffer *databuf)
| In the Load() implementation of the subclass you can call this function to load the common data members.
void | SaveCommon (iCelDataBuffer *databuf)
| In the Save() implementation of the subclass you can call this function to save the common data members.
void | SetClearScreen (bool flag)
void | SetClearZBuffer (bool flag)
bool | UseDistanceClipping () const
bool | UseFixedDistanceClipping () const
## Protected Attributes
bool | clear_screen
bool | clear_zbuf
csRef< iEngine > | engine
csRef< iGraphics3D > | g3d
int | rect_h
bool | rect_set
int | rect_w
int | rect_x
int | rect_y
csWeakRef< iPcRegion > | region
csRef< iVirtualClock > | vc
csRef< iView > | view
csWeakRef< iPcZoneManager > | zonemgr
csTicks | accumulated_elapsed
float | current_distance
float | fixed_distance
bool | fps_valid
float | max_fps
float | min_dist
float | min_fps
float | smooth_fps
bool | use_farplane

## Detailed Description

The representation of a camera.

Definition at line 46 of file camera.h.

## Member Function Documentation

bool celPcCameraCommon::LoadCommon | ( | iCelDataBuffer * | databuf | ) |

In the Load() implementation of the subclass you can call this function to load the common data members.

Returns false on failure.

void celPcCameraCommon::SaveCommon | ( | iCelDataBuffer * | databuf | ) |

In the Save() implementation of the subclass you can call this function to save the common data members.

The documentation for this struct was generated from the following file:

- celtool/camera.h